registerNamespace("no.follesoe.jonas");

no.follesoe.jonas.Klokke = function(p_elSource, p_args, p_namespace)
{        
    no.follesoe.jonas.Klokke.initializeBase(this, arguments);
 
    var klokke;
    
    this.initialize = function(p_objScope)
    {
        no.follesoe.jonas.Klokke.getBaseMethod(this, "initialize", "Web.Bindings.Base").call(this, p_objScope);        
        
        oppdaterKlokke();        
        klokke = setInterval(oppdaterKlokke, 800);
    }
    no.follesoe.jonas.Klokke.registerBaseMethod(this, "initialize");
    
    function oppdaterKlokke()
    {
        p_elSource.innerText = new Date();
    }

    this.dispose = function(p_objScope)
    {
        no.follesoe.jonas.Klokke.getBaseMethod(this, "dispose", "Web.Bindings.Base").call(this, p_objScope);    
        clearInterval(klokke);
    }
    no.follesoe.jonas.Klokke.registerBaseMethod(this, "dispose");       
}
no.follesoe.jonas.Klokke.registerClass("no.follesoe.jonas.Klokke", "Web.Bindings.Base");